import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class ENMLerngruppe extends JavaObject {
    id: number;
    kID: number;
    fachID: number;
    kursartID: Number | null;
    bezeichnung: String | null;
    kursartKuerzel: String | null;
    bilingualeSprache: String | null;
    lehrerID: Vector<Number>;
    wochenstunden: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMLerngruppe;
    static transpilerToJSON(obj: ENMLerngruppe): string;
    static transpilerToJSONPatch(obj: Partial<ENMLerngruppe>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMLerngruppe(obj: unknown): ENMLerngruppe;
